{% extends 'base.html' %} {% block content %} {% load static %}
<div id="mainCrousel" class="carousel slide" data-ride="carousel">
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img
        src="https://ecs7.tokopedia.net/img/banner/2020/3/1/85531617/85531617_0ebe47ff-dbe3-4ebb-b066-1d3e6dacd339.jpg"
        class="d-block w-100"
      />
    </div>
    <div class="carousel-item">
      <img
        src="https://ecs7.tokopedia.net/img/banner/2020/2/26/85531617/85531617_bef9d6be-286b-46da-9c48-bbb94f190cb6.jpg"
        class="d-block w-100"
      />
    </div>
    <div class="carousel-item">
      <img
        src="https://ecs7.tokopedia.net/img/banner/2020/3/1/85531617/85531617_f634c221-49f2-4b91-845c-3603bfcf2810.jpg"
        class="d-block w-100"
      />
    </div>
  </div>
  <a
    class="carousel-control-prev"
    href="#mainCrousel"
    role="button"
    data-slide="prev"
  >
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a
    class="carousel-control-next"
    href="#mainCrousel"
    role="button"
    data-slide="next"
  >
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>
<div class="mt-3 px-3">
  <div class="d-block d-lg-none">
    <h3 class="font-weight-bold categ-title text-center">CATEGORIES</h3>
    <div class="category">
      <ul class="nav flex-column">
        {% for cat in categories %}
        <li class="nav-item">
          <a
            class="nav-link category-link"
            href="{% url 'landing-kategori' kategori=cat.nama %}"
          >
            <img
              src="{% static 'onlineshop/star.svg'%}"
              class="icon-star"
            />{{cat.nama}}</a
          >
        </li>
        {% endfor %}
      </ul>
    </div>
  </div>
  <h3 class="font-weight-bold categ-title">{{cat.nama}}</h3>
  <div>
    <div class="swiper-container">
      <div class="swiper-wrapper">
        {% for product in prod %}
        <a
          href="{% url 'barang:barang-detail' id=product.id %}"
          class="swiper-slide product-card"
        >
          <div>
            <img src="{{product.gambar}}" class="gambar-produk" />
            <div class="item-description w-100 px-3">
              <span class="text-muted">{{product.stok}} pcs</span>
              <h4>{{product.nama}}</h4>
            </div>
          </div>
        </a>
        {% endfor %}
      </div>
    </div>
  </div>
</div>

{% load static %} {% endblock %} {% block head %}
<title>Tk.PePeW Online Shop</title>
<link rel="stylesheet" href="https://unpkg.com/swiper/css/swiper.min.css" />
<link rel="stylesheet" href="{% static 'onlineshop/styles.css' %}" />

{% endblock %} {% block js %}
<script src="https://unpkg.com/swiper/js/swiper.js"></script>
<script>
  $(document).ready(function() {
    var swiper = new Swiper(".swiper-container", {
      slidesPerView: 2,
      spaceBetween: 20,
      autoplay: {
        delay: 2000
      },
      breakpoints: {
        576: {
          slidesPerView: 2,
          spaceBetween: 20
        },
        768: {
          slidesPerView: 4,
          spaceBetween: 40
        },
        992: {
          slidesPerView: 5,
          spaceBetween: 50
        }
      }
    });
    console.log(swiper);
  });
</script>
{% endblock %} {% block leftsidecontent %}
<div class="d-flex flex-column align-items-center" id="side-category">
  <h3 class="font-weight-bold categ-title">CATEGORIES</h3>
  <div class="category">
    <ul class="nav flex-column">
      {% for cat in categories %}
      <li class="nav-item">
        <a
          class="nav-link category-link"
          href="{% url 'landing-kategori' kategori=cat.nama %}"
        >
          <img
            src="{% static 'onlineshop/star.svg'%}"
            class="icon-star"
          />{{cat.nama}}</a
        >
      </li>
      {% endfor %}
    </ul>
  </div>
</div>
{% endblock %}
